Ticket #39724

SSH認証バナーのエンコーディング変換

Open Date: 2019-11-05 18:38 Last Update: 2019-12-09 09:54

Reporter:
Owner:
Status:
Open [Owner assigned]
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

現状の問題点

SSH認証バナー(SSH_MSG_USERAUTH_BANNER)に含まれるメッセージのエンコーディングはUTF-8となっているが、TTSSH ではエンコーディングの変換を行っていない。

その為、バナーメッセージにUS-ASCII以外の文字が含まれていた場合に文字化けが発生する場合がある。

対処案

AuthBanner設定に応じて以下の変換を行う

  • AuthBanner=1: 受信漢字コード設定に従って変換する(UTF-8の時は無変換)
  • AuthBanner=2/3: ローカル(システム)のエンコーディングに従って変換する。もしくはUnicode版のAPIが使えるならばUnicodeに変換して表示する

関連

Ticket History (3/4 Histories)

2019-11-05 18:38 Updated by: doda
  • New Ticket "SSH認証バナーのエンコーディング変換" created
2019-11-26 20:49 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Fixed
  • Milestone Update from (None) to Tera Term 4.105 (closed)
Comment

r8397 で対応。

2019-12-08 09:01 Updated by: None
2019-12-09 09:54 Updated by: doda
Comment

4.105 では修正済み。

5.0 では内部エンコーディングが変更になる為、別途対応が必要。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login